The Alternative Csound Reference Manual
Previous |  | Next

# fink

fink -- Read signals from a file at k-rate.

## Description

Read signals from a file at k-rate.

## Syntax

fink ifilename, iskipframes, iformat, kin1 [, kin2] [, kin3] [,...]

## Initialization

ifilename -- input file name (can be a string or a handle number generated by fiopen)

iskipframes -- number of frames to skip at the start (every frame contains a sample of each channel)

iformat -- a number specifying the input file format.

- 0 - 32 bit floating points without header

- 1 - 16 bit integers without header

## Performance

fink is the same as fin but operates at k-rate.

## See Also

fin, fini

## Credits

Author: Gabriel Maldonado
Italy
1999

New in Csound version 3.56

Previous | Home | Next
fini | Up | fiopen